drbd-utils_8.9.6-1_amd64.deb


Advertisement

Description

drbd-utils - RAID 1 over TCP/IP for Linux (user utilities)

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Main amd64
Package name: drbd-utils
Package version: 8.9.6
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 1.35 KB
Download size: 439.07 KB
Official Mirror: archive.ubuntu.com
Drbd is a block device which is designed to build high availability clusters by providing a virtual shared device which keeps disks in nodes synchronised using TCP/IP. This simulates RAID 1 but avoiding the use of uncommon hardware (shared SCSI buses or Fibre Channel). It is currently limited to fail-over HA clusters. This package contains the programs that will control the drbd kernel module provided in the Linux kernel.

Alternatives

Requires

Replaces

  • drbd8-utils << 2:8.9.0

    Download

    Source package: drbd-utils

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install drbd-utils deb package:
      # sudo apt-get install drbd-utils

    Files

    • /etc/drbd.conf
    • /etc/drbd.d/global_common.conf
    • /etc/ha.d/resource.d/drbddisk
    • /etc/ha.d/resource.d/drbdupper
    • /etc/init.d/drbd
    • /etc/xen/scripts/block-drbd
    • /lib/drbd/drbdadm-83
    • /lib/drbd/drbdadm-84
    • /lib/drbd/drbdsetup-83
    • /lib/drbd/drbdsetup-84
    • /lib/modules-load.d/drbd.conf
    • /lib/udev/rules.d/65-drbd.rules
    • /sbin/drbdadm
    • /sbin/drbdmeta
    • /sbin/drbdsetup
    • /usr/lib/drbd/crm-fence-peer.sh
    • /usr/lib/drbd/crm-unfence-peer.sh
    • /usr/lib/drbd/notify-emergency-reboot.sh
    • /usr/lib/drbd/notify-emergency-shutdown.sh
    • /usr/lib/drbd/notify-io-error.sh
    • /usr/lib/drbd/notify-out-of-sync.sh
    • /usr/lib/drbd/notify-pri-lost-after-sb.sh
    • /usr/lib/drbd/notify-pri-lost.sh
    • /usr/lib/drbd/notify-pri-on-incon-degr.sh
    • /usr/lib/drbd/notify-split-brain.sh
    • /usr/lib/drbd/notify.sh
    • /usr/lib/drbd/outdate-peer.sh
    • /usr/lib/drbd/rhcs_fence
    • /usr/lib/drbd/snapshot-resync-target-lvm.sh
    • /usr/lib/drbd/stonith_admin-fence-peer.sh
    • /usr/lib/drbd/unsnapshot-resync-target-lvm.sh
    • /usr/lib/ocf/resource.d/linbit/drbd
    • /usr/sbin/drbd-overview
    • /usr/share/bash-completion/completions/drbdadm
    • /usr/share/cluster/drbd.metadata
    • /usr/share/cluster/drbd.sh
    • /usr/share/doc/drbd-utils/NEWS.Debian.gz
    • /usr/share/doc/drbd-utils/README.Debian
    • /usr/share/doc/drbd-utils/changelog.Debian.gz
    • /usr/share/doc/drbd-utils/copyright
    • /usr/share/doc/drbd-utils/examples/drbd.conf.example.gz
    • /usr/share/man/man5/drbd.conf-8.3.5.gz
    • /usr/share/man/man5/drbd.conf-8.4.5.gz
    • /usr/share/man/man5/drbd.conf-9.0.5.gz
    • /usr/share/man/man5/drbd.conf.5.gz
    • /usr/share/man/man8/drbd-8.3.8.gz
    • /usr/share/man/man8/drbd-8.4.8.gz
    • /usr/share/man/man8/drbd-9.0.8.gz
    • /usr/share/man/man8/drbd-overview-9.0.8.gz
    • /usr/share/man/man8/drbd-overview.8.gz
    • /usr/share/man/man8/drbd.8.gz
    • /usr/share/man/man8/drbdadm-8.3.8.gz
    • /usr/share/man/man8/drbdadm-8.4.8.gz
    • /usr/share/man/man8/drbdadm-9.0.8.gz
    • /usr/share/man/man8/drbdadm.8.gz
    • /usr/share/man/man8/drbddisk-8.3.8.gz
    • /usr/share/man/man8/drbddisk-8.4.8.gz
    • /usr/share/man/man8/drbddisk.8.gz
    • /usr/share/man/man8/drbdmeta-8.3.8.gz
    • /usr/share/man/man8/drbdmeta-8.4.8.gz
    • /usr/share/man/man8/drbdmeta-9.0.8.gz
    • /usr/share/man/man8/drbdmeta.8.gz
    • /usr/share/man/man8/drbdsetup-8.3.8.gz
    • /usr/share/man/man8/drbdsetup-8.4.8.gz
    • /usr/share/man/man8/drbdsetup-9.0.8.gz
    • /usr/share/man/man8/drbdsetup.8.gz

    Changelog

    2016-01-26 - Apollon Oikonomopoulos <apoikos@debian.org> drbd-utils (8.9.6-1) unstable; urgency=medium * New upstream release. * Always render build date in UTC; ensures reproducible build. * Drop the drbd-utils-dbg package in favor of ddebs. * d/control: use HTTPS in vcs-* fields.

    2015-12-29 - Apollon Oikonomopoulos <apoikos@debian.org> drbd-utils (8.9.5-1) unstable; urgency=medium * New upstream release (closes: #808315) + Drop d/patches/fix-8.4-manpages, it has been merged upstream. + Refresh patches * Ensure reproducible build. * Remove DRBD service file and use initscript (closes: #787394, #633547). Upstream is doing the same and the start logic is complicated enough to be a bad fit for a systemd unit.

    2014-11-23 - Apollon Oikonomopoulos <apoikos@debian.org> drbd-utils (8.9.2~rc1-2) unstable; urgency=medium * Build-Depend on docbook-xml to avoid fetching the docbook DTDs from the internet (closes: #768881). * Build-Depend on udev to avoid shipping a disabled rules file in case the build system does not find udevadm or udevinfo.

    2014-10-13 - Apollon Oikonomopoulos <apoikos@debian.org> drbd-utils (8.9.2~rc1-1) unstable; urgency=medium * New upstream release candidate. * d/rules: call ./configure with initscripttype=sysv. Fixes FTBS when /sbin/init is systemd (Closes: #765116). * Refresh patches to reflect upstream directory moves. * Bump standards to 3.9.6; no changes needed. * d/copyright: update sys_queue.h location. * Build-depend on docbook-xsl and (re-)build the manpages, as 8.4 manpages are not shipped pre-built. * Backport upstream commits 7185623a and 1e4a6a68, fixing 8.4 manpage builds. * Link drbddisk-8.4.8 manpage to drbddisk.8. * Upstream is shipping the heartbeat resource scripts again; dropped our own copies.

    2014-08-29 - Apollon Oikonomopoulos <apoikos@debian.org> drbd-utils (8.9.1+git0.f861210b-1) unstable; urgency=medium * New upstream version. + Include all changes up to upstream's 4th maintenance release of 8.9.1 (8.9.1-4, git commit f861210b). + Drop patches merged upstream: o fix-block-drbd-with-xl-stack.patch o fix-drbd.8-manpage-warning.patch o fix-promotion-on-startup.patch o 0001-add_lib_drbd_to_path-handle-unset-PATH-correctly.patch + Use upstream's udev rules file. + Use upstream's drbd-overview manpage. + Refresh d/patches/udev-rules-name to reflect upstream changes. * d/control: remove B-D on git, as it not used anymore. * d/copyright: mark debian/* license as "permissive"; fixes lintian warning.

    Advertisement
    Advertisement